CREATE TABLE hrm_plan_talentpools (
    ENTERPRISE_ID            NUMBER(18, 0),
    PLAN_POOL_ID             NUMBER(18, 0),
    PLAN_ID                  NUMBER(18, 0),
    POOL_ID                  NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ENTERPRISE_ID            NUMBER(18, 0),
    PLAN_POOL_ID             NUMBER(18, 0),
    PLAN_ID                  NUMBER(18, 0),
    POOL_ID                  NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_hrm_plan_talentpools PRIMARY KEY (ENTERPRISE_ID, PLAN_POOL_ID, ENTERPRISE_ID, PLAN_POOL_ID)
);
